* PACKAGE GTIHED    !" GTOOL $B%$%s%?!<%U%'!<%9(B($B%X%C%@!<@_Dj(B)
*
*  [HIS] 96/03/08 (takepiro) $B<+F0G\@:EY%3%s%Q%$%k6X;_(B
*        
***********************************************************************
      SUBROUTINE SETHDR         !" $B3FJ*M}NL$N%X%C%@!<@_Dj(B
     O           ( HEADP, HEADZ, HEADT ,
     I             IT   , HDFMT          )
*
* [PARAM]
#include        "zhdim.F"            !" $BJ8;zNsJ8;z?t(B
*
* [OUTPUT]
      CHARACTER HEADP(NDC)*(NCC) !" GTOOL3 $B%X%C%@(B($BN.@~4X?t(B)
      CHARACTER HEADZ(NDC)*(NCC) !" GTOOL3 $B%X%C%@(B($B12EY(B)
      CHARACTER HEADT(NDC)*(NCC) !" GTOOL3 $B%X%C%@(B($B29EY(B)
*
* [INPUT]
      INTEGER IT                !" $B%k!<%W%+%&%s%?(B
      CHARACTER  HDFMT  * (*)   !" $B%G!<%?%U%)!<%^%C%H(B
*
* [INTERNAL WORK]
#ifdef AUTO_DBL
      REAL*8     TIMS
      REAL*8     DT
#else
      REAL*4     TIMS
      REAL*4     DT
#endif
      INTEGER    ITS
*
      CHARACTER  HITEM  * (NCC) !" $B<1JLL>>N(B
      CHARACTER  HTITL  * (NCC) !" $B%?%$%H%k(B
*
* [INTERNAL SAVE]
      CHARACTER  HUNIT  * (NCC) !" $BC10L(B
*
      CHARACTER  HDATE  *(NCC)  !" $B;~9o(B(yyyymmddhhmmss)
      CHARACTER  HUTIM  *(NCC)  !" $B;~9oC10L(B
      INTEGER    ITDUR          !" $BBeI=$9$k;~4V(B
*
      REAL*4     DMIN           !" $B%l%s%8(B($B:G>.(B)
      REAL*4     DMAX           !" $B%l%s%8(B($B:GBg(B)
      REAL*4     DIVS           !" $B4V3V(B($B>.(B)
      REAL*4     DIVL           !" $B4V3V(B($BBg(B)
      INTEGER    ISTYP          !" $B%9%1!<%j%s%0%?%$%W(B
*
      LOGICAL    OFIRST
      DATA       OFIRST /.TRUE./
*
      DATA     HUNIT
     &      / 'Non-dim' /
      DATA     HDATE, HUTIM
     &      / '19900101000000', 'STEP' /
      DATA    DMIN, DMAX, DIVS, DIVL, ISTYP
     &     / -10.0, 10.0,  0.2, 1.0,    1 /
*
      SAVE    HUNIT , 
     &        HDATE , HUTIM , ITDUR ,
     &        DMIN  , DMAX  , DIVS  , DIVL  , ISTYP , 
     &        OFIRST
*
      IF ( OFIRST ) THEN
         OFIRST = .FALSE. 
         CALL ATPGET            !" $B;~9o@_Dj>pJs;2>H(B
     O      ( TIMS , ITS , DT )
         ITDUR = NINT( 1.0 / DT )  !" $BBeI=;~4V$O(B 1 $BL5<!85;~4V(B
      ENDIF
*
      HITEM  = 'PSI'
      HTITL  = 'Stream Fuction'
*
      CALL SETHDD   !" $B%X%C%@!<@_Dj(B
     O     ( HEADP ,
     I       HITEM , HTITL , HUNIT , 
     I       IT    , HDATE , HUTIM , ITDUR ,
     I       HDFMT , 
     I       DMIN  , DMAX  , DIVS  , DIVL  , ISTYP )
*
      HITEM  = 'ZETA'
      HTITL  = 'Vorticity'
*
      CALL SETHDD   !" $B%X%C%@!<@_Dj(B
     O     ( HEADZ ,
     I       HITEM , HTITL , HUNIT , 
     I       IT    , HDATE , HUTIM , ITDUR ,
     I       HDFMT , 
     I       DMIN  , DMAX  , DIVS  , DIVL  , ISTYP )
*
      HITEM  = 'T'
      HTITL  = 'Temperature'
*
      CALL SETHDD   !" $B%X%C%@!<@_Dj(B
     O     ( HEADT ,
     I       HITEM , HTITL , HUNIT , 
     I       IT    , HDATE , HUTIM , ITDUR ,
     I       HDFMT , 
     I       DMIN  , DMAX  , DIVS  , DIVL  , ISTYP )
*
      RETURN
      END
***********************************************************************
      SUBROUTINE SETHDD   !" $B%X%C%@!<@_Dj(B
     O           ( HHEAD ,
     I             HITEM , HTITL , HUNIT , 
     I             ITIME , HDATE , HUTIM , ITDUR ,
     I             HDFMT , 
     I             DMIN  , DMAX  , DIVS  , DIVL  , ISTYP )
*
* [PARAM]
#include        "zcdim.F"            !" $B3J;RE@?t(B, $BGH?t(B
#include        "zhdim.F"            !" $BJ8;zNsJ8;z?t(B
*
* [OUTPUT]
      CHARACTER  HHEAD (NDC)*(NCC)
*
* [INPUT]
      CHARACTER  HITEM  * (NCC) !" $B<1JLL>>N(B
      CHARACTER  HTITL  * (NCC) !" $B%?%$%H%k(B
      CHARACTER  HUNIT  * (NCC) !" $BC10L(B
*
      INTEGER    ITIME          !" $B;~9o(B($BDL$7(B)
      CHARACTER  HDATE  * (NCC) !" $B;~9o(B(yyyymmddhhmmss)
      CHARACTER  HUTIM  * (NCC) !" $B;~9oC10L(B
      INTEGER    ITDUR          !" $BBeI=$9$k;~4V(B
*
      CHARACTER  HDFMT  * (NCC) !" $B%G!<%?%U%)!<%^%C%H(B
*
      REAL*4     DMIN           !" $B%l%s%8(B($B:G>.(B)
      REAL*4     DMAX           !" $B%l%s%8(B($B:GBg(B)
      REAL*4     DIVS           !" $B4V3V(B($B>.(B)
      REAL*4     DIVL           !" $B4V3V(B($BBg(B)
      INTEGER    ISTYP          !" $B%9%1!<%j%s%0%?%$%W(B
*
* [INTERNAL WORK]
      CHARACTER  HDSET  * (NCC) !" $B%G!<%?%;%C%HL>(B
*
      INTEGER    IFNUM          !" $B%U%!%$%kHV9f(B($B0UL#L5$7(B?)
      INTEGER    IDNUM          !" $B%G!<%?HV9f(B($B0UL#L5$7(B?)
*
      CHARACTER  HAITM1 * (NCC) !" $B<4(B1$B$N3J;RL>>N(B
      INTEGER    IASTR1         !" $B<4(B1$B$N3J;R;O$a(B
      INTEGER    IAEND1         !" $B<4(B1$B$N3J;R=*$j(B
*
      CHARACTER  HAITM2 * (NCC) !" $B<4(B2$B$N3J;RL>>N(B
      INTEGER    IASTR2         !" $B<4(B2$B$N3J;R;O$a(B
      INTEGER    IAEND2         !" $B<4(B2$B$N3J;R=*$j(B
*
      CHARACTER  HAITM3 * (NCC) !" $B<4(B3$B$N3J;RL>>N(B
      INTEGER    IASTR3         !" $B<4(B3$B$N3J;R;O$a(B
      INTEGER    IAEND3         !" $B<4(B3$B$N3J;R=*$j(B
*
      REAL*4     VMISS          !" $B7gB;CM$NCM(B
*
      CHARACTER  HCDATE *(NCC)  !" $B%G!<%?:n@.F|IU(B
      CHARACTER  HCSIGN *(NCC)  !" $B%G!<%?:n@.<T(B
*
      DATA  IFNUM, IDNUM /  1, 1/
      DATA  HAITM1, IASTR1, IAEND1
     &     /  ' ' ,    1  ,   1  /
      DATA  HAITM2, IASTR2, IAEND2
     &     /  ' ' ,    1  ,   1  /
      DATA  HAITM3, IASTR3, IAEND3
     &     /  ' ' ,    1  ,   1  /
*
*"          < 1. $B<4%U%!%$%k>pJs@_Dj(B >
*
      CALL ACNGET
     O     ( HAITM1 , HAITM3 )
*
      IASTR1=1
      IAEND1=NX+1
      IASTR3=1
      IAEND3=NZ+2
*
*"          < 2. GTOOL3 $B4IM}>pJs(B : $B%G!<%?:n@.<T(B, $BF|IU(B, $B<B83L>(B >
*
      CALL GUQNOW
     O      ( HCDATE )
*
      CALL GTCGET
     I      ( 'MYSIGN',
     O         HCSIGN   )
*
      CALL GTCGET
     I      ( 'DDSET',
     O         HDSET   )
*
      CALL GTPGET
     I      ( 'MISS',
     O         VMISS  )
*
*"          < 3. $B%X%C%@!<$N%Q%C%/(B >
*
      CALL GHPACK
     O         ( HHEAD ,
     I           HDSET , HITEM , IFNUM , IDNUM ,
     I           HTITL , HUNIT ,
     I           ITIME , HDATE , HUTIM , ITDUR ,
     I           HAITM1, IASTR1, IAEND1,
     I           HAITM2, IASTR2, IAEND2,
     I           HAITM3, IASTR3, IAEND3,
     I           HDFMT , VMISS ,
     I           DMIN  , DMAX  , DIVS  , DIVL  , ISTYP ,
     I           HCDATE, HCSIGN                         )
*
      RETURN
      END
